package ehu.student.oo.ui;

import javax.swing.JFrame;

/**
 * Una ventana con un tablero dibujado en el centro.
 */
public class VentanaConTableroSimple extends JFrame
{
	private static final long serialVersionUID = 1L;

	private JTableroSimple tablero = new JTableroSimple();

	/**
	 * Construye una nueva ventana
	 */
	public VentanaConTableroSimple(){
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

		add("Center", tablero);

		/*
		 * Para ajustar automaticamente las dimensiones de la ventana
		 * segun el numero y dimensiones de los elementos que contiene
		 */
		pack();
		
	}


	/*
	 * Puesta en marcha...
	 */
	public static void main(String args[])
	{
		VentanaConTableroSimple v = new VentanaConTableroSimple();
		v.setVisible(true);
	}
}