package ehu.student.oo.ui;

import javax.swing.JButton;
import javax.swing.JColorChooser;
import javax.swing.JFileChooser;
import javax.swing.JFrame;

/**
 * Una ventana con botones, etc.
 * 
 * Los componentes de la ventana se crean
 * pero no se situan en la ventana.
 * Cuando la ventana se dibuja en la pantalla,
 * no se dibujan los componentes creados.
 */
public class VentanaMalHecha extends JFrame
{
	private static final long serialVersionUID = 1L;

	@SuppressWarnings("unused")
	private JButton operarButton = new JButton("Do it");
	@SuppressWarnings("unused")
	private JButton finButton = new JButton("Fin");

	@SuppressWarnings("unused")
	private JColorChooser colorChooser = new JColorChooser();
	@SuppressWarnings("unused")
	private JFileChooser fileChooser = new JFileChooser();


	/*
	 * Puesta en marcha...
	 */
	public static void main(String args[])
	{
		VentanaMalHecha v = new VentanaMalHecha();
		v.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		v.setVisible(true);
	}
}