package ehu.student.oo.ui;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFrame;

/**
 * Una ventana con un boton.
 * 
 * Se escribe un mensaje cuando el usuario pincha en el botn.
 */
public class VentanaConJButtonYEventHandler extends JFrame
{
	private static final long serialVersionUID = 1L;

	private JButton holaButton = new JButton("Hola");
	
	public VentanaConJButtonYEventHandler(){
		setDefaultCloseOperation(javax.swing.JFrame.EXIT_ON_CLOSE);
		
		add(holaButton);		
		pack();
		
		holaButton.addActionListener(new ActionListener(){

			public void actionPerformed(ActionEvent e) {
				System.out.println("Hola");
			}
		});
	}
	
	public static void main(String[] args) {
		VentanaConJButtonYEventHandler v = new VentanaConJButtonYEventHandler();
		v.setVisible(true);
	}
}
